> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylora.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Social network sign in confirmation

> After user put code logic will check if user with email is exist return token if no create new user and send token



## OpenAPI

````yaml https://api.paylora.org/api-doc-json post /api/v1/auth/social-networks/sign_in
openapi: 3.0.0
info:
  title: PAYLORA API
  description: Paylora Backend API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.paylora.org
security: []
tags: []
paths:
  /api/v1/auth/social-networks/sign_in:
    post:
      tags:
        - Auth
      summary: Social network sign in confirmation
      description: >-
        After user put code logic will check if user with email is exist return
        token if no create new user and send token
      operationId: AuthController_socialSignInGetcode_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialNetworksSignInDto'
      responses:
        '200':
          description: User`s logined
          content:
            application/json:
              example:
                success: true
                data:
                  access: ''
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 400
                  message:
                    - '[value] is not valid'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 401
                  message: Invalid signature | jwt must be provided
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 403
                  message: Only [admin, customer] has access
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 404
                  message: Resource Not Found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 409
                  message: Resource with unique value (email, name etc) already exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 429
                  message: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 500
                  message: Sever error message
components:
  schemas:
    SocialNetworksSignInDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - google
            - fb
          default: google
        code:
          type: string
          example: >-
            4/0AWgavddtNRQ18dDzaB9Wlhm82tXC7tGVE-FfCvqaErDpVp3DZuw5895qDhuiluyBT3Zrdw
          description: >-
            This code from redirected url
            ?code=4/0AWgavddtNRQ18dDzaB9Wlhm82tXC7tGVE-FfCvqaErDpVp3DZuw5895qDhuiluyBT3Zrdw
        state:
          type: string
          example: >-
            0AWgavddtNRQ18dDzaB9Wlhm82tXC7tGVE-FfCvqaErDpVp3DZuw5895qDhuiluyBT3Zrdw
          description: >-
            This state from redirected url
            ?state=0AWgavddtNRQ18dDzaB9Wlhm82tXC7tGVE-FfCvqaErDpVp3DZuw5895qDhuiluyBT3Zrdw
      required:
        - type
        - code
        - state

````